/**
 * Created by dave on 16/1/22.
 */
'use strict';
var util    = require('util');
var crypto  = require('crypto');

var Qrcode = {
        name      : 'Qrcode',
        context   : '/qrcode',
        encryptKey: '^&AD@gopalroy2016'
    },
    self   = Qrcode;
module.exports = self;

self.encode =
function(string) {
    var encodedString,
        cipher = crypto.createCipher('aes128', new Buffer(self.encryptKey));
    cipher.setAutoPadding(true);
    encodedString = cipher.update(string, 'utf8', 'base64');
    encodedString += cipher.final('base64');
    return encodedString;
};

self.decode =
function(encodedString) {
    var string,
        decipher = crypto.createDecipher('aes128', new Buffer(self.encryptKey));
    decipher.setAutoPadding(true);
    string = decipher.update(encodedString, 'base64', 'utf8');
    string += decipher.final('utf8');
    return string;
};

self.encodeCarLicense =
function(license) {
    return 'ICJS:' + self.encode('LICENSE@' + license);
};

self.decodeCarLicense =
function(encoded) {
    var index = encoded.indexOf(':');
    if (index > 0 && encoded.substr(0, index) == 'ICJS') {
        var decoded = self.decode(encoded.substr(index + 1)).split('@');
        if (decoded[0] == 'LICENSE') {
            return decoded[1];
        }
    }
    return null;
};
