/**
 * Created by dave on 16/1/21.
 */
'use strict';
var bulk        = require('bulk-require');
var express     = require('express');
var modules     = bulk(__dirname, ['./**/!(*index|*.spec).js']);
var Application = {userRouter: new express(), adminRouter: new express()};

Object.keys(modules).forEach(key => {
    let item = modules[key];
    if (!item) return;
    if (item.name) {
        Application[item.name] = item;
    }
});

module.exports = Application;
